Bug 603015 - [WHQL] Ethernet NDISTest6.5 failed on windows 7_x64
[WHQL] Ethernet NDISTest6.5 failed on windows 7_x64
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Yan Vugenfirer
Virtualization Bugs
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-11 05:38 EDT by Xiaoli Tian
Modified: 2014-07-11 02:54 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:30:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoli Tian 2010-06-11 05:38:21 EDT
Created attachment 423204 [details]
Failure log of this bug

Description of problem:

"LSO-Test TCP LSOv2 offload with IPv4" failed when running ndis test client  with some of the failures as following(Detail failure log is attached):
---------------------------------------------------------------
Title Result  Failed 

 Start Test 6/11/2010 12:16:23.449 PM LSO - Test Tcp LSOv2 offload with Ipv4 ( LSOv2: On/Ipv4 Option: Off). Packet count: 30; Packet header size: 54; Packet total size 43221 

Error 6/11/2010 12:16:25.449 PM Test case failed. For detailed information, please see the above log table 

File:    Line: 0 

Error Type:   WIN32 

Error Code:   0x50020 

Error Text:   The process cannot access the file because it is being used by another process. 

End Test 6/11/2010 12:16:25.449 PM LSO - Test Tcp LSOv2 offload with Ipv4 ( LSOv2: On/Ipv4 Option: Off). Packet count: 30; Packet header size: 54; Packet total size 43221 

Result:   Fail 

Repro:   ndistest.exe /logo /auto /client /target:Miniport /tc:{3E19FCA1-62A5-4545-9D5D-BFEDBFA9258A} /TestEnvInfo:TestEnvInfo.xml /support:{C89B5D0C-2E83-4025-A017-B805BC8E615E},{F071219B-2187-48F3-AD5D-B234990261B6} /msg:{3745FC3C-1D58-433A-80A3-FDCA9D093BC4} /jobgroup:WHQL\Lan /ParaVirtualizationDriver:True
--------------------------------------------------------

Version-Release number of selected component (if applicable):
1. kernel-2.6.32-33.el6.x86_64,
2. qemu-kvm-0.12.1.2-2.71.el6.x86_64,
3. virtio-win:05/27/2010,6.0.209.605,
4. spice:05/12/2010,4.5.45909.

How reproducible:
100%.

Steps to Reproduce:
1.Prepare WHQL testing environment,
2.Start windows 7 guest with the following command:
/usr/libexec/qemu-kvm -m 2G -smp 2 -name Win7-x86-NIC1 -uuid 2b035ff5-a934-4130-b394-28e7d106009e -rtc base=utc -rtc-td-hack -no-kvm-pit-reinjection -cpu qemu64,+sse2 -boot c -drive file=/home/WHQL/Win7X86NIC/Win7X86NIC1.qcow2,if=none,id=drive-ide0 -device ide-drive,drive=drive-ide0 -drive file=/mnt/data2.qcow2,if=none,id=drive-ide1 -device ide-drive,drive=drive-ide1 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device e1000,netdev=hostnet0,id=net0,mac=52:54:03:86:f7:89,bus=pci.0 -netdev tap,id=hostnet1,vhost=on,script=/etc/qemu-ifup-private -device virtio-net-pci,netdev=hostnet1,id=net1,mac=52:54:05:33:f7:a9,bus=pci.0 -netdev tap,id=hostnet2,vhost=on,script=/etc/qemu-ifup-private -device virtio-net-pci,netdev=hostnet2,id=net2,mac=52:88:09:32:d7:f9,bus=pci.0 -balloon none -vga qxl -spice port=5931,disable-ticketing -monitor stdio -k en-us
3.Set Initial RX buffer to 512,Initial Tx buffer to 64 as before,
4.Run job"Ethernet NDISTest 6.5" .
  
Actual results:
The following case failed
"LSO-Test TCP LSOv2 offload with ipv4" failed,
"LSO-Test TCP LSOv1 offload with ipv4" failed.

Expected results:
Pass

Additional info:
1.This failure doesn't happen in windows 7x86
2.Failure log is attached,
3.Meminfo of host:
MemTotal:       24596872 kB
MemFree:        18571408 kB
Buffers:           19072 kB
Cached:          1017504 kB
SwapCached:            0 kB
Active:          4470056 kB
Inactive:         936920 kB
Active(anon):    4370672 kB
Inactive(anon):     1048 kB
Active(file):      99384 kB
Inactive(file):   935872 kB
Unevictable:           0 kB
Mlocked:               0 kB
SwapTotal:      26836984 kB
SwapFree:       26836984 kB
Dirty:                28 kB
Writeback:             4 kB
AnonPages:       4370640 kB
Mapped:            35972 kB
Shmem:              1260 kB
Slab:             469828 kB
SReclaimable:      27116 kB
SUnreclaim:       442712 kB
KernelStack:        3480 kB
PageTables:        22508 kB
NFS_Unstable:          0 kB
Bounce:                0 kB
WritebackTmp:          0 kB
CommitLimit:    39135420 kB
Committed_AS:    4860160 kB
VmallocTotal:   34359738367 kB
VmallocUsed:      345440 kB
VmallocChunk:   34346160192 kB
HardwareCorrupted:     0 kB
AnonHugePages:         0 kB
HugePages_Total:       0
HugePages_Free:        0
HugePages_Rsvd:        0
HugePages_Surp:        0
Hugepagesize:       2048 kB
DirectMap4k:        6756 kB
DirectMap2M:    25149440 kB

4.Cpuinfo of host:
processor       : 15
vendor_id       : GenuineIntel
cpu family      : 6
model           : 26
model name      : Intel(R) Xeon(R) CPU           E5520  @ 2.27GHz
stepping        : 5
cpu MHz         : 2260.903
cache size      : 8192 KB
physical id     : 0
siblings        : 8
core id         : 3
cpu cores       : 4
apicid          : 7
initial apicid  : 7
fpu             : yes
fpu_exception   : yes
cpuid level     : 11
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm dca sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips        : 4521.28
clflush size    : 64
cache_alignment : 64
address sizes   : 40 bits physical, 48 bits virtual
power management:
Comment 2 RHEL Product and Program Management 2010-06-11 06:03:19 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Yan Vugenfirer 2010-06-12 09:05:17 EDT
1. It seems more like a configuration\test problem rater than actual failure.
Yaniv - did you encountered similar issues?

2. Could you run the same test while QEMU is started without vhost option?
Comment 4 Xiaoli Tian 2010-06-12 21:27:55 EDT
(In reply to comment #3)
> 1. It seems more like a configuration\test problem rater than actual failure.
> Yaniv - did you encountered similar issues?
> 
> 2. Could you run the same test while QEMU is started without vhost option?    

I have tried many times even using  different host and DTM Controller,this issue always occurred with the same failure log.
This issue doesn't happen with kernel 2.6.32-30.el6.x86_64 and qemu-kvm-0.12.1.2-2.68.el6.x86_64 when not using vhost option.For qemu-kvm-0.12.1.2-2.71.el6.x86_64,I may try it without vhost option later.

Thanks.
Comment 5 Xiaoli Tian 2010-06-13 01:46:01 EDT
(In reply to comment #3)
> 1. It seems more like a configuration\test problem rater than actual failure.
> Yaniv - did you encountered similar issues?
> 
> 2. Could you run the same test while QEMU is started without vhost option?    

1.It still failed with the same failure without vhost option in the following condition:
1) kernel-2.6.32-33.el6.x86_64,
2) qemu-kvm-0.12.1.2-2.71.el6.x86_64
3) qemu command without vhost option
   CLI:/usr/libexec/qemu-kvm -m 2G -smp 2 -name Win7-NIC1 -uuid 9273e81a-60a6-108c- 2c80-e9e5c332bd3e -rtc base=utc -rtc-td-hack -no-kvm-pit-reinjection -cpu qemu64,+sse2 -boot c -drive file=/home/WHQL/Win764/Win764_NIC1.qcow2,if=none,id=drive-ide0 -device ide-drive,drive=drive-ide0  -drive file=/mnt/data1.qcow2,if=none,id=drive-ide1 -device ide-drive,drive=drive-ide1 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:03:36:f7:f9,bus=pci.0 -netdev tap,id=hostnet1,script=/etc/qemu-ifup-private -device virtio-net-pci,netdev=hostnet1,id=net1,mac=52:54:00:32:f7:f9,bus=pci.0 -netdev tap,id=hostnet2,script=/etc/qemu-ifup-private -device virtio-net-pci,netdev=hostnet2,id=net2,mac=52:88:00:32:f7:f9,bus=pci.0 -balloon none -vga qxl -spice port=5931,disable-ticketing -monitor stdio -k en-us

2.It passed with previous command as following ,but it seemed that it skipped test cases "LSO-Test TCP LSOv2 offload with IPv4" like this.
1) kernel-2.6.32-33.el6.x86_64,
2) qemu-kvm-0.12.1.2-2.71.el6.x86_64
3) qemu command 
  CTL:/usr/libexec/qemu-kvm -m 2G -smp 2 -name Win7-NIC1 -uuid 9273e81a-60a6-108c-2c80-e9e5c332bd3e -rtc base=utc -rtc-td-hack -no-kvm-pit-reinjection -cpu qemu64,+sse2  -drive file=/home/WHQL/Win764/Win764_NIC1.qcow2,if=ide  -net nic,vlan=1,macaddr=00:62:69:8c:36:f1,model=rtl8139 -net tap,vlan=1,script=/etc/qemu-ifup -net tap,vlan=2,script=/etc/qemu-ifup-private -net nic,vlan=3,macaddr=00:5b:3b:98:63:63,model=virtio -net nic,vlan=3,macaddr=00:5b:3c:98:63:93,model=virtio -net tap,vlan=3,script=/etc/qemu-ifup-private -vga qxl -spice port=5931,disable-ticketing -monitor stdio
Comment 6 Yan Vugenfirer 2010-06-19 08:08:39 EDT
The suggestion is to run WHQL with disabled LSO in the driver.

We will investigate further if this is a test or the driver issue. 
For now running without LSO will not block WHQL testing.
Comment 7 Yan Vugenfirer 2010-06-23 16:09:38 EDT
(In reply to comment #5)
> (In reply to comment #3)

> -no-kvm-pit-reinjection -cpu qemu64,+sse2 -boot c -drive
> tap,id=hostnet0,script=/etc/qemu-ifup -device
> rtl8139,netdev=hostnet0,id=net0,mac=52:54:03:36:f7:f9,bus=pci.0 -netdev


Why are you using rtl NIC? Could you use e1000?
Comment 8 Qunfang Zhang 2010-06-24 03:18:42 EDT
(In reply to comment #7)
> (In reply to comment #5)
> > (In reply to comment #3)
> 
> > -no-kvm-pit-reinjection -cpu qemu64,+sse2 -boot c -drive
> > tap,id=hostnet0,script=/etc/qemu-ifup -device
> > rtl8139,netdev=hostnet0,id=net0,mac=52:54:03:36:f7:f9,bus=pci.0 -netdev
> 
> 
> Why are you using rtl NIC? Could you use e1000?    

Hi, Yan

Now e1000 NIC card is not used for Windows guest during our testing. We only use virtio and rtl8139.

Do you still need the test result using e1000?
Comment 9 Yan Vugenfirer 2010-06-26 08:57:10 EDT
Why are you (In reply to comment #8)
> (In reply to comment #7)
> > (In reply to comment #5)
> > > (In reply to comment #3)
> > 
> > > -no-kvm-pit-reinjection -cpu qemu64,+sse2 -boot c -drive
> > > tap,id=hostnet0,script=/etc/qemu-ifup -device
> > > rtl8139,netdev=hostnet0,id=net0,mac=52:54:03:36:f7:f9,bus=pci.0 -netdev
> > 
> > 
> > Why are you using rtl NIC? Could you use e1000?    
> 
> Hi, Yan
> 
> Now e1000 NIC card is not used for Windows guest during our testing. We only
> use virtio and rtl8139.
> 
> Do you still need the test result using e1000?    

Why are you not using e1000?

Initial WHQL tests were done with e1000 and we had some issues with rtl cards.

Could you run this test with e1000? Please update e1000 on the guest to latest Intel driver before running the test.

Thanks.
Comment 10 Yan Vugenfirer 2010-06-26 13:43:40 EDT
I installed test setup from the scratch and the LSO test passed both on Win7 x86 and Win7 x64.

Here are the things that were different from the setup described in BZ and I think it should be changed for all virtio network tests:

1. I used e1000 as support adapter. Please don't use rtl NIC.
2. I removed all offload options of e1000 adapter (in advanced tab in device manager).
3. I used raw image.
BTW: Why 2 drives are defined for test vm? Please do not do redundant setups for WHQL.
4. Linux SE was disabled ("setenforce 0") on the host. 
5. Check that offload setting are enabled on the host with ethtool -k <NIC>
Offload parameters for eth0:
rx-checksumming: on
tx-checksumming: on
scatter-gather: on
tcp-segmentation-offload: on
udp-fragmentation-offload: off
generic-segmentation-offload: on
generic-receive-offload: off
large-receive-offload: off


Also described here:
http://cleo.tlv.redhat.com/qumrawiki/RHEL%206.0%20WHQL%20tests
Comment 11 Qunfang Zhang 2010-07-06 05:57:17 EDT
Re-test with the configuration in Comment 10.

Version-Release number of selected component:
qemu-kvm-0.12.1.2-2.90.el6.x86_64
virtio-win-1.1.7-2

And I find when testing without "vhost=on" in command line, the "LSO-Test TCP LSOv2 offload with IPv4" can pass while using "vhost=on", the test failed as described in bug description.

Command line:

  /usr/libexec/qemu-kvm -m 2G -smp 2 -cpu qemu64,+x2apic -usbdevice tablet -drive file=/home/win7-64-nic1-156.qcow2,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup-private -device virtio-net-pci,netdev=hostnet0,mac=76:00:40:3F:20:3B,bus=pci.0,addr=0x4 -netdev tap,id=hostnet1,script=/etc/qemu-ifup-private -device virtio-net-pci,netdev=hostnet1,mac=76:00:3D:3F:20:2B,bus=pci.0,addr=0x5 -netdev tap,id=hostnet2,script=/etc/qemu-ifup -device e1000,netdev=hostnet2,mac=76:00:40:3F:20:1B,bus=pci.0,addr=0x6  -boot c -uuid b0765920-2d9c-4fcc-bb7a-c9a91b5c7d89 -rtc-td-hack -no-kvm-pit-reinjection -monitor stdio -name win7x64NIC1 -spice port=5930,disable-ticketing -vga qxl
Comment 12 Dor Laor 2010-07-06 07:39:31 EDT
Michael, can you check what's the issue with vhost?
Comment 13 Michael S. Tsirkin 2010-07-06 08:43:45 EDT
It could be that the bug is hidden with vhost=off
because it does not reproduce with mergeable buffers
(which vhost does not yet support).
Please test *without vhost=on* but adding the following flag to command 
-global virtio-net-pci.mrg_rxbuf=off
Comment 14 Qunfang Zhang 2010-07-07 01:10:41 EDT
(In reply to comment #13)
> It could be that the bug is hidden with vhost=off
> because it does not reproduce with mergeable buffers
> (which vhost does not yet support).
> Please test *without vhost=on* but adding the following flag to command 
> -global virtio-net-pci.mrg_rxbuf=off    

Test  *without vhost=on* , and add -global virtio-net-pci.mrg_rxbuf=off, LSO-Test passed.
Comment 15 Michael S. Tsirkin 2010-07-07 05:42:14 EDT
Let's try to record the problematic output.

Please start with vhost=on.

Please locate the tap device in host attached to the device
with vhost enabled. Then run, as root:

tcpdump -w output1.dmp -i tap0
(where tap0 is replaced by the actual device name)

run whql

then please stop tcpdump and attach the resulting file output1.dmp
Comment 16 Qunfang Zhang 2010-07-08 05:00:35 EDT
This time when I run Ethernet NDISTest6.5, LSO test passed. Anyway I collect the output1.dmp file.
http://10.66.65.120/output1.dmp (2.4G)
Comment 17 Michael S. Tsirkin 2010-07-08 05:35:24 EDT
This indicates some timing issue, or ring full/empty issue?
Comment 18 Yan Vugenfirer 2010-07-21 16:08:13 EDT
According to initial report I see that this issue is also reproducible on Win7 x86 (32bit) - is it correct?
Comment 19 Qunfang Zhang 2010-07-22 00:48:40 EDT
Test win7-64bit guest with the following settings, can reproduce this issue:

1. Test with this kernel: http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2601217
2.use: "-global virtio-net-pci.publish_used=off" and "vhost=on"
 
Command line:
 /usr/libexec/qemu-kvm -m 2G -smp 2 -cpu qemu64,+x2apic -usbdevice tablet -drive file=Win7-64-nic1.qcow2,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup-private -device virtio-net-pci,netdev=hostnet0,mac=00:1a:08:09:33:1a,id=nic1-1,bus=pci.0,addr=0x4 -netdev tap,vhost=on,id=hostnet1,script=/etc/qemu-ifup-private -device virtio-net-pci,netdev=hostnet1,mac=00:1a:08:09:33:2a,id=nic1-2,bus=pci.0,addr=0x5 -netdev tap,id=hostnet2,script=/etc/qemu-ifup -device e1000,netdev=hostnet2,mac=00:1a:08:09:33:3a,id=nic1-3,bus=pci.0,addr=0x6 -boot c -uuid 4be5530c-8ae4-43d2-90eb-dfc829ee1416  -rtc-td-hack -no-kvm-pit-reinjection -monitor stdio -name win7x64NIC1-133  -spice port=5930,disable-ticketing -vga qxl -global virtio-net-pci.publish_used=off

The offload case failed and paste the log from DTM Controller:
------------------------------------------------------------------------------
Start Test 7/22/2010 10:32:39.246 AM LSO - Test Tcp LSOv2 offload with Ipv4 ( LSOv2: On/Ipv4 Option: Off). Packet count: 30; Packet header size: 54; Packet total size 37131 

Error 7/22/2010 10:32:41.246 AM Test case failed. For detailed information, please see the above log table 

File:    Line: 0 
Error Type:   WIN32 
Error Code:   0x50020 
Error Text:   The process cannot access the file because it is being used by another process. 

End Test 7/22/2010 10:32:41.246 AM LSO - Test Tcp LSOv2 offload with Ipv4 ( LSOv2: On/Ipv4 Option: Off). Packet count: 30; Packet header size: 54; Packet total size 37131 

Result:   Fail 

Repro:   ndistest.exe /logo /auto /client /target:Miniport /tc:{EFC798A6-23CD-4829-8F82-039453B4ED47} /TestEnvInfo:TestEnvInfo.xml /support:{9DBF7508-1713-4257-AA1E-75085551BFEE},{CC8FD410-9C7C-4D89-9115-E1418D2668F2} /msg:{183FC13B-AF90-4330-ACCA-281FD87EA761} /jobgroup:WHQL\Lan /ParaVirtualizationDriver:True 


I will test win7-32 guest.
Comment 20 Qunfang Zhang 2010-07-22 03:37:39 EDT
Test win7-32 guest with the same setting in Comment 19, can also reproduce.

BTW, for win7-32&64 guest, there'are 2 kinds of failure in the task log.

1. LSO failure. (As described in Comment 19.)

2.Unexpected Failure Outside of a Test Case or Action
-----------------------------------------------------
Start Test 7/22/2010 9:22:24.968 PM Unexpected Failure Outside of a Test Case or Action 
Error 7/22/2010 9:22:24.968 PM A breakpoint was hit in the protocol driver while this test was executing 
File:    Line: 0 
Error Type:   WIN32 
Error Code:   0x88888 
Error Text:   Error 0x00088888 
End Test 7/22/2010 9:22:24.968 PM Unexpected Failure Outside of a Test Case or Action 
Result:   Fail 
Repro:   ndistest.exe /logo /auto /client /target:Miniport /tc:{0FC09CDE-8646-453A-89F7-22031F6EC5A3} /TestEnvInfo:TestEnvInfo.xml /support:{3BEC1CBA-7126-4093-90E7-4CA241863C82},{FD85A07C-67FD-4DE0-8188-7B07E0E22E4C} /msg:{82900722-E132-46B5-A27E-6FA6EF340280} /jobgroup:WHQL\Lan /ParaVirtualizationDriver:True
Comment 21 Qunfang Zhang 2010-07-23 03:10:45 EDT
Hi, all
I will change the status to ASSIGNED,because it still exists in virtio-win-1.1.8-0. Please re-change to ON_QA when the issue is fixed in a new version.

Thanks
Qunfang
Comment 23 Yan Vugenfirer 2010-07-27 04:10:06 EDT
The fix for this bug is needed to pass WHQL, please move to blocker.
Comment 25 Qunfang Zhang 2010-08-04 03:58:21 EDT
Update the test results using virtio-win-1.1.9-0:
As suggested, test virtio-net *without vhost=on*. But the problem still exists. LSO test failed with the same error in Comment 19.

kernel:2.6.32-54.el6.x86_64
qemu-kvm-0.12.1.2-2.104.el6.x86_64
Guest OSes tested: win7-64,win2k8-64, win2k8-R2
Comment 26 Yan Vugenfirer 2010-08-09 15:55:55 EDT
(In reply to comment #25)
> Update the test results using virtio-win-1.1.9-0:
> As suggested, test virtio-net *without vhost=on*. But the problem still exists.
> LSO test failed with the same error in Comment 19.
> 
> kernel:2.6.32-54.el6.x86_64
> qemu-kvm-0.12.1.2-2.104.el6.x86_64
> Guest OSes tested: win7-64,win2k8-64, win2k8-R2    

Did this QEMU version had "published indexes" feature removed? If not"-global virtio-net-pci.publish_used=off" command line option should be used too.
Comment 27 Dor Laor 2010-08-09 16:02:18 EDT
It's in from qemu-kvm-0.12.1.2-2.98.el6
Comment 28 Qunfang Zhang 2010-08-16 05:25:56 EDT
Update:
I found the failures are filtered with a newer updatefilter.sql (2010/08/12) when I tested win2k8-R2 guest. The job "NDISTest 6.5"  passed!
So, I will test other guests (win7-32&64, win2k8-32&64) to see if the job pass.
Comment 30 Qunfang Zhang 2010-08-23 07:58:52 EDT
Update:
Finished testing win7-64, win2k8-R2 and win2k8-64 without vhost, NDISTest6.5 passed. (In fact, all jobs passed.)
I will change the status to VERIFIED after finish all guests.

Packages version:
virtio-win-1.1.12.0
kernel-2.6.32-66.el6
qemu-kvm-0.12.1.2-2.112.el6
Comment 31 Qunfang Zhang 2010-08-31 04:41:34 EDT
Tested win2k3-32, win2k3-64, win2k8-32, win2k8-64, win2k8-R2, win7-32, win7-64 without vhost, NDISTest6.5 passed.

Package version:
virtio-win-1.1.12.0
kernel-2.6.32-66.el6
qemu-kvm-0.12.1.2-2.112.el6

Command line: (an example)
/usr/libexec/qemu-kvm -m 2G -smp 2 -cpu qemu64,+x2apic -usbdevice tablet -drive file=winxp-32-nic1.raw,format=raw,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup-private -device virtio-net-pci,netdev=hostnet0,mac=00:10:45:3F:62:1E,bus=pci.0,addr=0x4 -netdev tap,id=hostnet1,script=/etc/qemu-ifup-private -device virtio-net-pci,netdev=hostnet1,mac=00:10:45:3F:62:2E,bus=pci.0,addr=0x5 -netdev tap,id=hostnet2,script=/etc/qemu-ifup -device rtl8139,netdev=hostnet2,mac=00:10:45:3F:62:31,bus=pci.0,addr=0x6 -boot c -uuid 4911db45-3145-4421-9c9b-6a48ff0eca48  -rtc-td-hack -no-kvm-pit-reinjection -monitor stdio -spice port=5930,disable-ticketing -vga qxl -cdrom win08-R2.iso


So, I will change the status to VERIFIED.
Comment 32 Qunfang Zhang 2010-09-01 03:15:27 EDT
Also passed for winxp-32 with the same version in Comment 31.
Comment 33 releng-rhel@redhat.com 2010-11-11 11:30:57 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.